> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Create HPR

> Create HPR ID



## OpenAPI

````yaml post /abdm/nhpr/v1/hpr/aadhaar/create
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/nhpr/v1/hpr/aadhaar/create:
    post:
      description: Create HPR ID
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NhprEKACreateHPRID'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/HandlerTypedAPIResponseGithubComEkaCareNdhmPkgNhprNhprEKACreateHPRIDResponse
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    NhprEKACreateHPRID:
      properties:
        council:
          type: boolean
        domain_name:
          type: string
        email:
          type: string
        first_name:
          type: string
        hp_category_code:
          type: integer
        hp_sub_category_code:
          type: integer
        hprId:
          type: string
        id_type:
          type: string
        last_name:
          type: string
        middle_name:
          type: string
        notify_user:
          type: boolean
        password:
          type: string
        pincode:
          type: string
        profile_photo:
          type: string
        role:
          type: integer
        source_type:
          type: string
        txnId:
          type: string
      type: object
    HandlerTypedAPIResponseGithubComEkaCareNdhmPkgNhprNhprEKACreateHPRIDResponse:
      properties:
        data:
          $ref: '#/components/schemas/NhprEKACreateHPRIDResponse'
        error: {}
        success:
          type: boolean
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    NhprEKACreateHPRIDResponse:
      properties:
        auth_methods:
          items:
            type: string
          type:
            - array
            - 'null'
        categories: {}
        category_id:
          type: integer
        day_of_birth:
          type: string
        district_code:
          type: string
        district_name:
          type: string
        email:
          type: string
        first_name:
          type: string
        gender:
          type: string
        hpr_id_number:
          type: string
        hprId:
          type: string
        kyc_photo:
          type: string
        last_name:
          type: string
        middle_name:
          type: string
        mobile:
          type: string
        month_of_birth:
          type: string
        name:
          type: string
        new:
          type: boolean
        state_code:
          type: string
        state_name:
          type: string
        sub_category_id:
          type: integer
        year_of_birth:
          type: string
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````